This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 895288 - Port mcomix's use of PIL to support Pillow for F19
Port mcomix's use of PIL to support Pillow for F19
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mcomix (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 19:45 EST by Toshio Ernie Kuratomi
Modified: 2013-01-15 09:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-15 09:03:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (2.39 KB, patch)
2013-01-14 19:45 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 19:45:19 EST
Created attachment 678527 [details]
Patch to use the form of import of PIL that is pillow compatible

Description of problem:

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the mcomix source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Mamoru TASAKA 2013-01-15 09:03:11 EST
* Tue Jan 15 2013 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.99-3
- Don't import Image directly and import PIL instead for
  F-19 Pillow conversion
  Patch from Toshio Kuratomi <a.badger@gmail.com>
  (bug 895288)

Committed, thank you.

Note You need to log in before you can comment on or make changes to this bug.